// Skybox

textures/ut_filtration/skybox
{
	qer_editorimage textures/ut_filtration/skybox
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 1.00 0.949 0.977 200 225 60
	skyparms textures/ut_filtration/env/cybortech512 - -
}

// Fog

textures/ut_filtration/fog_filtration
{
	qer_editorimage textures/ut_filtration/fog.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
//	surfaceparm nolightmap
	q3map_globaltexture

	fogparms ( .250 .250 .250 ) 512

	{
		map textures/ut_filtration/fogcloud2.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/ut_filtration/filtration-glass
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut_filtration/bomb_mark
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_filtration/bomb_mark.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_filtration/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ut_filtration/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/ut_filtration/fogcaulk
{
	qer_trans 0.40
	qer_editorimage textures/ut_filtration/fogcaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm fog
	fogparms ( .7 .8 .7 ) 1024
}

textures/ut_filtration/spray_filtration
{
	qer_editorimage textures/ut_filtration/fog.tga
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	tesssize 64
	deformVertexes wave 64 sin 0 8 1 .75

	{
		map textures/ut_filtration/spraycloud1.tga
		blendfunc gl_dst_color gl_zero
//		blendfunc blend
		tcmod scroll .5 -1
		rgbgen identity
	}

	{
		map textures/ut_filtration/spraycloud2.tga
		blendfunc gl_dst_color gl_zero
//		blendfunc blend
		tcmod scroll 1 -.5
		rgbgen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/ut_filtration/water_stationary
{
	qer_editorimage textures/ut_filtration/water_move1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .5
	cull none
	deformVertexes wave 80 sin 0 1 1 .75

	{
		map textures/ut_filtration/water_move2.tga
		tcMod turb .05 .01 0 -.025
		tcMod Scroll .02 .01
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_filtration/water_move3.tga
		tcMod turb .01 .05 0 .05
		tcMod Scroll .01 .02
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_filtration/water_flow
{
	qer_editorimage textures/ut_filtration/water_move1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .5
	cull none
	tesssize 256
	deformVertexes wave 80 sin 0 2 1 .75

	{
		map textures/ut_filtration/water_move2.tga
		tcMod Scroll .01 .3
		tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_filtration/water_move3.tga
		tcMod Scroll .05 .15
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
	}
}

textures/ut_filtration/water_flow-fast
{
	qer_editorimage textures/ut_filtration/water_move1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .5
	cull none

	{
		map textures/ut_filtration/water_move2.tga
		tcMod Scroll 0 .75
		tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_filtration/water_move3.tga
		tcMod Scroll 0 1
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
	}
}

textures/ut_filtration/water_fall
{
	qer_editorimage textures/ut_filtration/water_move1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .5
	cull none
	tesssize 64
	deformVertexes wave 80 triangle 0 8 1 .75

	{
		map textures/ut_filtration/water_move4.tga
		tcMod Scroll -3.75 0
		tcMod turb 0 .5 0 -.1
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_filtration/water_move5.tga
		tcMod Scroll -4.5 0
		tcMod turb 0 .75 0 .1
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
	}
}

textures/ut_filtration/rough_water
{
	qer_editorimage textures/ut_filtration/water_rough1.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
//	surfaceparm nolightmap
	tessSize 64
	cull none
	nopicmip
	deformVertexes wave 80 sin 0 4 1 .75

	{ 
		map textures/ut_filtration/water_rough1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.01 .1
		tcMod turb 0 .075 0 .1
	}
	{ 
		map textures/ut_filtration/water_rough2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .02 .075
		tcMod turb 0 .05 0 -.1
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/ut_filtration/truefence
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_filtration/truefence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_filtration/floor_grate
{
	qer_editorimage textures/ut_filtration/grate_metal01d.tga
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm playerclip
	cull none
        nopicmip

	{
		map textures/ut_filtration/grate_metal01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_filtration/chain
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 0.5

	{
		map textures/ut_filtration/chain.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_filtration/black_shine
{

	{
		map textures/ut_filtration/shine_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .5 .5
	}
	{
		map textures/ut_filtration/black_shine.tga
		blendFunc GL_ZERO GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut_filtration/whitelight
{
	qer_editorimage textures/ut_filtration/whitelight.tga
	q3map_lightimage textures/ut_filtration/whitelight.tga
	surfaceparm nomarks
	q3map_surfacelight 7500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_filtration/whitelight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut_filtration/beam_misty
{
        qer_editorimage textures/ut_filtration/beam_misty.tga
	q3map_globaltexture
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
        qer_trans 0.8
	cull none
	{
		map textures/ut_filtration/beam_misty.tga
		tcMod turb 0 0.015 0.5 0.07
		tcMod Scroll .15 0
                blendFunc add
        }

}

textures/ut_filtration/light_ceiling
{
	qer_editorimage textures/ut_filtration/light_ceiling.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_filtration/light_ceiling.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_filtration/light_ceiling_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Bubble Stream Particle Shaders

textures/ut_filtration/bubble_stream_1
{
qer_editorimage textures/ut_filtration/bubbles.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.745047 4.237747 119.912453 sawtooth 0 1 1.951598 0.333333
{
clampmap textures/ut_filtration/bubbles.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 1.951598 0.333333
rgbGen wave sawtooth 1.000000 0.000000 1.951598 0.333333
tcMod stretch sawtooth 1.000000 0.000000 1.951598 0.333333
blendfunc blend
}
}

textures/ut_filtration/bubble_stream_2
{
qer_editorimage textures/ut_filtration/bubbles.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -2.403677 -4.548136 119.889694 sawtooth 0 1 0.311777 0.333333
{
clampmap textures/ut_filtration/bubbles.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.311777 0.333333
rgbGen wave sawtooth 1.000000 0.000000 0.311777 0.333333
tcMod stretch sawtooth 1.000000 0.000000 0.311777 0.333333
blendfunc blend
}
}

textures/ut_filtration/bubble_stream_3
{
qer_editorimage textures/ut_filtration/bubbles.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 5.409634 -2.139310 119.858902 sawtooth 0 1 1.232093 0.333333
{
clampmap textures/ut_filtration/bubbles.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 1.232093 0.333333
rgbGen wave sawtooth 1.000000 0.000000 1.232093 0.333333
tcMod stretch sawtooth 1.000000 0.000000 1.232093 0.333333
blendfunc blend
}
}

textures/ut_filtration/bubble_stream_4
{
qer_editorimage textures/ut_filtration/bubbles.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.311271 -4.861670 119.901077 sawtooth 0 1 0.539262 0.333333
{
clampmap textures/ut_filtration/bubbles.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.539262 0.333333
rgbGen wave sawtooth 1.000000 0.000000 0.539262 0.333333
tcMod stretch sawtooth 1.000000 0.000000 0.539262 0.333333
blendfunc blend
}
}

textures/ut_filtration/bubble_stream_5
{
qer_editorimage textures/ut_filtration/bubbles.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.043105 -5.364431 119.880035 sawtooth 0 1 1.795892 0.333333
{
clampmap textures/ut_filtration/bubbles.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 1.795892 0.333333
rgbGen wave sawtooth 1.000000 0.000000 1.795892 0.333333
tcMod stretch sawtooth 1.000000 0.000000 1.795892 0.333333
blendfunc blend
}
}

textures/ut_filtration/bubble_stream_6
{
qer_editorimage textures/ut_filtration/bubbles.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.960227 -0.131435 119.983910 sawtooth 0 1 1.226173 0.333333
{
clampmap textures/ut_filtration/bubbles.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 1.226173 0.333333
rgbGen wave sawtooth 1.000000 0.000000 1.226173 0.333333
tcMod stretch sawtooth 1.000000 0.000000 1.226173 0.333333
blendfunc blend
}
}

textures/ut_filtration/bubble_stream_7
{
qer_editorimage textures/ut_filtration/bubbles.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 5.456046 2.737057 119.844658 sawtooth 0 1 0.040651 0.333333
{
clampmap textures/ut_filtration/bubbles.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.040651 0.333333
rgbGen wave sawtooth 1.000000 0.000000 0.040651 0.333333
tcMod stretch sawtooth 1.000000 0.000000 0.040651 0.333333
blendfunc blend
}
}

textures/ut_filtration/bubble_stream_8
{
qer_editorimage textures/ut_filtration/bubbles.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 2.862460 -5.094085 119.857651 sawtooth 0 1 1.948058 0.333333
{
clampmap textures/ut_filtration/bubbles.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 1.948058 0.333333
rgbGen wave sawtooth 1.000000 0.000000 1.948058 0.333333
tcMod stretch sawtooth 1.000000 0.000000 1.948058 0.333333
blendfunc blend
}
}

textures/ut_filtration/bubble_stream_9
{
qer_editorimage textures/ut_filtration/bubbles.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -5.725561 0.995432 119.859192 sawtooth 0 1 0.411206 0.333333
{
clampmap textures/ut_filtration/bubbles.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.411206 0.333333
rgbGen wave sawtooth 1.000000 0.000000 0.411206 0.333333
tcMod stretch sawtooth 1.000000 0.000000 0.411206 0.333333
blendfunc blend
}
}

textures/ut_filtration/bubble_stream_10
{
qer_editorimage textures/ut_filtration/bubbles.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -3.940976 2.732337 119.904144 sawtooth 0 1 0.107547 0.333333
{
clampmap textures/ut_filtration/bubbles.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 0.000000 0.107547 0.333333
rgbGen wave sawtooth 1.000000 0.000000 0.107547 0.333333
tcMod stretch sawtooth 1.000000 0.000000 0.107547 0.333333
blendfunc blend
}
}
